---
search:
  tags:
    - Smart Listings
    - POST
seo:
  description: >-
    Returns all product variants that match the… Reference for the POST
    /api/v1/{team_slug}/{app_slug}/smart-listings/preview endpoint in the
    Management API.
sidebar:
  label: Preview smart listing results
  badge: POST
title: Preview smart listing results
type: openapi-operation
---
Returns all product variants that match the specified listing rules without creating a listing

`POST /api/v1/{team_slug}/{app_slug}/smart-listings/preview`

**Request body** (`application/json`, required)

smart-listing configuration

- `rules` (internal_pkg_webserver_v1.ListingRuleRequest[], required)
- `slug` (string, required)

Request body example:

```json
{
  "rules": [
    {
      "operator": "equal",
      "target": "stock",
      "target_id": "string",
      "value_float": 0,
      "value_list": [
        "string"
      ],
      "value_string": "string"
    }
  ],
  "slug": "string"
}
```

**Responses**

- `200` — All product-variants affected by the listing rules
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "app_id": "string",
      "attributes": [
        {
          "template_id": "string",
          "template_name": "string",
          "values": [
            "string"
          ]
        }
      ],
      "category_slugs": [
        "string"
      ],
      "custom_fields": {
        "property1": "string",
        "property2": "string"
      },
      "id": "string",
      "image_urls": [
        "string"
      ],
      "prices": [
        {
          "amount": 0,
          "currency": "string",
          "on_sale": true
        }
      ],
      "product_id": "string",
      "product_name": "string",
      "total_stock": 0,
      "variant_name": "string",
      "variant_number": "string",
      "warehouse_stocks": [
        {
          "stock": 0,
          "warehouse_id": "string"
        }
      ]
    }
  ],
  "details": [
    "string"
  ],
  "success": true
}
```
